Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.forms.extras
Class FormLayoutUtils.ConstraintIterator

    java.lang.Object
      com.jgoodies.forms.extras.FormLayoutUtils.ConstraintIterator

Enclosing class:
  FormLayoutUtils

    public static class FormLayoutUtils.ConstraintIterator

extends Object

Iterates over a FormLayout container's `CellConstraints`. The container's child component collection and the layout's constraints collection must not be changed during the iteration; otherwise the behavior of this iterator is unspecified and unsafe.

Version:
  $Revision: 1.5 $
Author:
  Karsten
See Also:
  `FormLayout`, `CellConstraints`

Constructor Summary
`FormLayoutUtils.ConstraintIterator(Container container)` Constructs a ConstraintIterator for the given FormLayout container.

Method Summary
`boolean` | `hasNext()` Returns `true` if the iteration has more elements.
`CellConstraints` | `nextConstraints()` Returns the next element in the iteration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormLayoutUtils.ConstraintIterator

    public FormLayoutUtils.ConstraintIterator(Container container)

  Constructs a ConstraintIterator for the given FormLayout container. Useful to iterate over the container's `CellConstraints`.

  Parameters:
    `container` - the layout container
  Throws:
    `IllegalArgumentException` - if the container's layout is not a `FormLayout`

Method Detail

### hasNext

    public boolean hasNext()

  Returns `true` if the iteration has more elements. (In other words, returns `true` if `next` would return an element rather than throwing an exception.)

  Returns:
    true if the iterator has more elements.

### nextConstraints

    public CellConstraints nextConstraints()

  Returns the next element in the iteration.

  Returns:
    the next element in the iteration.
  Throws:
    `NoSuchElementException` - iteration has no more elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 JGoodies Karsten Lentzsch. All Rights Reserved.